import { initialize, mswLoader } from "msw-storybook-addon";
import { handlers } from "../src/mocks/handlers";

// Initialize MSW
initialize({}, handlers);

const preview = {
  parameters: {
    actions: { argTypesRegex: "^on[A-Z].*" }
  },
  controls: {
    matchers: {
      color: /(background|color)$/i,
      date: /Date$/
    }
  },
  loaders: [mswLoader]
};

export default preview;
