import React from "react";
import { IconBadge } from "@ess-ics/ce-ui-common";
import { IOCStatusIcon } from "../IOCIcons";

export function IOCBadge({ ioc, ...rest }) {
  return (
    <IconBadge
      icon={
        <IOCStatusIcon
          ioc={ioc}
          hideAlerts
        />
      }
      title={ioc.namingName ?? ioc.name}
      subtitle={ioc.activeDeployment?.host?.fqdn || "---"}
      {...rest}
    />
  );
}
