import React from "react";
import { Stack } from "@mui/material";
import { JobStatusIcon } from "../JobStatus";
import { StartAndDuration } from "@ess-ics/ce-ui-common";

export const JobStatusColumn = ({ job }) => {
  return (
    <Stack>
      <Stack gap={0.5}>
        <JobStatusIcon job={job} />
        <StartAndDuration
          createdAt={job.createdAt}
          startTime={job?.startTime}
          finishedAt={job?.finishedAt}
        />
      </Stack>
    </Stack>
  );
};
