import React from "react";
import { AppHarness } from "../../../mocks/AppHarness";
import { HostDetailsContainer } from "../../../views/host/details/HostDetailsContainer";
import { userImpersonatorArgs } from "../../utils/common-args";

export default {
  title: "Views/Host/HostDetailsView"
};

const Template = (args) => (
  <AppHarness
    useTestUser
    {...args}
  >
    <HostDetailsContainer
      id={4195}
      {...args}
    />
  </AppHarness>
);

export const Default = (args) => <Template {...args} />;
Default.args = {
  ...userImpersonatorArgs
};
