import React from "react";
import { IconBadge } from "@ess-ics/ce-ui-common";
import { RecordStatusIcon } from "./RecordIcons";

export function RecordBadge({ record, ...rest }) {
  return (
    <IconBadge
      icon={<RecordStatusIcon record={record} />}
      title={record.name}
      subtitle={record.iocName}
      {...rest}
    />
  );
}
